> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a company

> Delete a company by its external `companyId`. Contacts keep their `companyId` link and
conversations keep their historical company stamp, so an SDK that still sends this
`companyId` will lazily re-create the company on the next identify.



## OpenAPI

````yaml https://api.gleap.io/api-docs.json delete /companies/{companyId}
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /companies/{companyId}:
    delete:
      tags:
        - Company
      summary: Delete a company
      description: >-
        Delete a company by its external `companyId`. Contacts keep their
        `companyId` link and

        conversations keep their historical company stamp, so an SDK that still
        sends this

        `companyId` will lazily re-create the company on the next identify.
      operationId: Remove
      parameters:
        - in: path
          name: companyId
          required: true
          schema:
            type: string
        - in: header
          name: project
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                properties: {}
                type: object
      security:
        - jwt: []
components:
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````